Subject: tail - backwards compatibility (tail +$line $filename)

From: Martyn Hare <[email-masked]>
Date: Fri, 28 Dec 2012 20:27:57 +0000

Dear Sir/Madam,

I think I've found a backwards-compatibility issue with tail.  I know that invoking tail without the -n argument when skipping lines (`tail +10 file.txt`) is bad syntax, but it needs to be supported for backwards-compatibility.  For example, the Unreal Tournament GOTY installer by Loki Games depends on this style of syntax - and modern GNU tail breaks the script.

I know that the GNU values software design quality deeply and in an ideal world, everyone would use `tail -n +10 file.txt` style of syntax, but some older script-driven installers don't do this, and this problem impacts less tech-savvy end-users (people who don't even know what tail is for!).

Any chance you could allow the older "bad" way to use the command?

Regards,

Martyn

P.S. Much love for all the hard work guys, I've not seen a single segfault in any release version of a GNU tool. Ever.